import type { _AVB17221AECPMessage } from "./AVB17221AECPMessage.js";
import type { _NSArray } from "../Foundation/NSArray.js";
export declare class _AVB17221AECPAddressAccessMessage extends _AVB17221AECPMessage {
    static alloc(): _AVB17221AECPAddressAccessMessage;
    static new(): _AVB17221AECPAddressAccessMessage;
    init(): _AVB17221AECPAddressAccessMessage;
    /**
     * This method returns an AVB17221AECPAddressAccessMessage instance setup as an Address Access command. An AVB17221AECPAddressAccessMessage instance pre-setup as an Address Access command.
     */
    static commandMessage(): _AVB17221AECPAddressAccessMessage;
    /**
     * This method returns an AVB17221AECPAEMMessage instance setup as an Address Access response. An AVB17221AECPAddressAccessMessage instance pre-setup as an Address Access response.
     */
    static responseMessage(): _AVB17221AECPAddressAccessMessage;
    /**
     * An array of AVB17221AECPAddressAccessTLV objects representing the tlv_data field of the AECP Address Access message.
     */
    tlvs(): _NSArray | null;
    setTlvs$(value: _NSArray | null): void;
}
